List plans
Lists kosem's plans: Hobby, Pro, Team and Enterprise, with their prices, allowances, limits and features.
GET
Lists kosem's plans: Hobby, Pro, Team and Enterprise, with their prices, allowances, limits and features.
bearerheader
AuthorizationBearer <token>An access token, or an API key.
pageSize?integerMaximum number of plans to return. Defaults to 50; values above 500 are treated as 500.
Format
int32Range
0 <= valuepageToken?stringPage token from a previous response.
OK
application/json- response
nextPageToken*stringToken for the next page; empty on the last page.
plans*array<>Plans: Hobby, Pro, Team, then Enterprise.
curl -X GET 'https://api.kosem.ai/v1/plans'Example Response
{
"nextPageToken": "string",
"plans": [
{
"allowances": [
{
"displayName": "string",
"limit": 0,
"price": {
"currencyCode": "string",
"nanos": -999999999,
"units": 0
},
"sku": "string",
"unit": "string"
}
],
"buysCredits": true,
"custom": true,
"description": "string",
"displayName": "string",
"features": [
{
"displayName": "string",
"enabled": true,
"feature": "string",
"type": "BOOLEAN",
"unit": "string",
"unlimitedZero": true,
"value": 0
}
],
"monthlyPrice": {
"currencyCode": "string",
"nanos": -999999999,
"units": 0
},
"name": "string",
"quotas": [
{
"displayName": "string",
"limit": 0,
"quotaId": "string",
"refreshInterval": "string",
"unit": "string"
}
],
"seatPrice": {
"currencyCode": "string",
"nanos": -999999999,
"units": 0
},
"selfServe": true,
"starterCredits": {
"currencyCode": "string",
"nanos": -999999999,
"units": 0
},
"starterCreditsDays": 0
}
]
}